Package com.treemap

# Class AbstractTreeMapSettings<N,Column,Color,Font>

java.lang.Object
com.treemap.AbstractTreeMapSettings<N,Column,Color,Font>

All Implemented Interfaces:
  `TreeMapSettings<N,Column,Color,Font>`

Direct Known Subclasses:
  `DefaultTreeMapSettings`

public abstract class AbstractTreeMapSettings<N,Column,Color,Font> extends Object implements TreeMapSettings<N,Column,Color,Font>
This class provides a skeletal implementation of the TreeMapSettings interface to minimize the effort required to implement this interface.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.treemap.TreeMapSettings

  `TreeMapSettings.PropertyType`

- ## Field Summary

  ### Fields inherited from interface com.treemap.TreeMapSettings

  `PROPERTY_BACKGROUND, PROPERTY_BACKGROUND_FIELD, PROPERTY_COLOR_FIELD, PROPERTY_DEPTH, PROPERTY_DIMENSION, PROPERTY_DIMENSION_FIXED, PROPERTY_GROUP_BY_FIELD, PROPERTY_HEIGHT_FIELD, PROPERTY_HIDE_FILTER_RESULTS, PROPERTY_HIDE_SEARCH_RESULTS, PROPERTY_LABELS_FIELD, PROPERTY_LIGHT_SOURCE_AMBIENT, PROPERTY_LIGHT_SOURCE_HEIGHT, PROPERTY_LIGHT_SOURCE_X, PROPERTY_LIGHT_SOURCE_Y, PROPERTY_LIGHT_SOURCE_Z, PROPERTY_MAXIMUM_HEIGHT, PROPERTY_PROBING_COLOR, PROPERTY_RENDERING, PROPERTY_SELECTION_COLOR, PROPERTY_SIZE_FIELD, PROPERTY_TOOLTIP_BACKGROUND, PROPERTY_TOOLTIP_FIELD`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractTreeMapSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTreeMapSettingsListener(TreeMapSettingsListener listener)`
  Add a listener for receiving interesting events about changes in the settings.
  `protected void`
  `notifySettingsChanged(TreeMapSettingsEvent event)`
  `void`
  `removeTreeMapSettingsListener(TreeMapSettingsListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the settings.
  `void`
  `removeTreeMapSettingsListeners()`
  Remove all the listener from the list of listeners that should be notified about changes in the settings.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.treemap.TreeMapSettings

  `getBackground, getBackgroundProperty, getBackgroundTreeMapField, getBackgroundVariableSelection, getColorTreeMapField, getColorVariableSelection, getDefaultFieldSettings, getDepth, getDepthSelection, getDimension, getDimensionFixed, getFieldSettings, getGroupByTreeMapFields, getGroupByVariablesSelection, getHeightTreeMapField, getHeightVariableSelection, getHideFilterResultsSelection, getHideSearchResultsSelection, getLabelTreeMapFields, getLabelVariablesSelection, getLightSourceAmbient, getLightSourceAmbientInterval, getLightSourceHeight, getLightSourceHeightInterval, getLightSourceX, getLightSourceXInterval, getLightSourceY, getLightSourceYInterval, getLightSourceZ, getLightSourceZInterval, getMaximumHeight, getMaximumHeightInterval, getProbingColor, getProbingColorProperty, getProgressive, getProgressiveSelection, getProperties, getRendering, getRenderingSelection, getSelectionColor, getSelectionColorProperty, getShowPopup, getSizeTreeMapField, getSizeVariableSelection, getTooltipBackground, getTooltipBackgroundProperty, getToolTipTreeMapFields, getTooltipVariablesSelection, getValue, isHideFilterResults, isHideSearchResults, resetToDefaults, save, setBackground, setBackground, setBackgroundByName, setBackgroundTreeMapField, setColor, setColorByName, setColorTreeMapField, setDepth, setDimension, setDimensionFixed, setGroupBy, setGroupByByNames, setGroupByTreeMapFields, setHeight, setHeightByName, setHeightTreeMapField, setHideFilterResults, setHideSearchResults, setLabels, setLabelsByNames, setLabelTreeMapFields, setLightSourceAmbient, setLightSourceHeight, setLightSourceX, setLightSourceY, setLightSourceZ, setMaximumHeight, setProbingColor, setProgressive, setRendering, setSelectionColor, setShowPopup, setSize, setSizeByName, setSizeTreeMapField, setToolTip, setTooltipBackground, setToolTipByNames, setToolTipTreeMapFields`

- ## Constructor Details

  - ### AbstractTreeMapSettings

    protected AbstractTreeMapSettings()

- ## Method Details

  - ### addTreeMapSettingsListener

    public void addTreeMapSettingsListener(TreeMapSettingsListener listener)
    Add a listener for receiving interesting events about changes in the settings.
    Specified by:
      `addTreeMapSettingsListener` in interface `TreeMapSettings<N,Column,Color,Font>`
    Parameters:
      `listener` - the listener to add.

  - ### removeTreeMapSettingsListener

    public void removeTreeMapSettingsListener(TreeMapSettingsListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the settings.
    Specified by:
      `removeTreeMapSettingsListener` in interface `TreeMapSettings<N,Column,Color,Font>`
    Parameters:
      `listener` - the listener to remove.

  - ### removeTreeMapSettingsListeners

    public void removeTreeMapSettingsListeners()
    Remove all the listener from the list of listeners that should be notified about changes in the settings.
    Specified by:
      `removeTreeMapSettingsListeners` in interface `TreeMapSettings<N,Column,Color,Font>`

  - ### notifySettingsChanged

    protected void notifySettingsChanged(TreeMapSettingsEvent event)